Problemas con las extensiones php

Kaixo!
Bueno, no sé ya si realmente estoy metiendo la pata o es que me tengo que dedicar a otra cosa menos a esto. La cosa es que estoy intentando cargar las extensiones de php (digamos que gd y pdf) y no hay manera.
Lo he hecho mediante php.ini y nada, no funciona. Lo he intentado mediante la función dl() y me da un error enorme de que no ha podido inicializar en el puntero de no sé qué la extensión (o algo así, disculpa mi incultura pero los ordenadores y yo no solemos dialogar).
Sí, por supuesto, las extensiones están la carpeta /extensions/ (no me los he comido) y uso apache+php+mysql que los instalé vía php-triad aunque el php lo he actualizado hasta la versión 4.3.1 y uso un win98.
Ah! Y este problema lo tengo con cualquier extensión... ¿qué hago? O mejor dicho, ¿qué estoy haciendo mal?
Gracias de antemano,
Muxuk
1

1 Respuesta

41.125 pts.
El paquete apache+php+mysql solo lleva extensiones para MySQL. Aunque coloques las extensiones en la carpeta, no funcionará. Tienes que conseguir los códigos fuentes y compilar las librerías (algo que en Windows es muy complicado, al menos para mí). Lo que tu quieres hacer yo solo lo he conseguido en FreeBSD (y solo con las GD, nunca me llegaron a funcionar las PDF).
En fin, lo siento, pero creo que deberías probar a cambiar a linux, unix o un sistema BSD.
Muchas gracias, sospechaba que tenía que ver con este gran win, y la migración a linux va, poco a poco, pero va... de este verano no pasa (esto suena a propósito de año nuevo).
De nuevo, gracias por atenderme

Añade tu respuesta

Haz clic para o

Más respuestas relacionadas